import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates or updates the specified rule. Rules are enabled by default, or based on value of the state. You can disable a rule using <a href="https://docs.aws.amazon.com/eventbridge/latest/APIReference/API_DisableRule.html">DisableRule</a>.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-events-rule.html">the AWS Docs</a>
*/
export function rule(ruleProps = {}) {
    return new AwsResource('AWS::Events::Rule', ruleProps, { Arn: 'Arn' });
}
